<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Tale Travel Pro
 * @since Tale Travel Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'tale_travel_pro_menu', array(
	'title'             => esc_html__('Header Menu','tale-travel-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'tale-travel-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'tale_travel_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'tale_travel_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Tale_Travel_Pro_Switch_Control( $wp_customize, 'tale_travel_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_menu',
	'on_off_label' 		=> tale_travel_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'tale_travel_pro_theme_options[nav_author_enable]', array(
	'sanitize_callback' => 'tale_travel_pro_sanitize_switch_control',
	'default'           => $options['nav_author_enable'],
) );

$wp_customize->add_control( new Tale_Travel_Pro_Switch_Control( $wp_customize, 'tale_travel_pro_theme_options[nav_author_enable]', array(
	'label'             => esc_html__( 'Enable Author Links', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_menu',
	'on_off_label' 		=> tale_travel_pro_switch_options(),
) ) );

// header layout control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[header_layout]', array(
	'default'          	=> $options['header_layout'],
	'sanitize_callback' => 'tale_travel_pro_sanitize_select',
) );

$wp_customize->add_control( 'tale_travel_pro_theme_options[header_layout]', array(
	'label'             => esc_html__( 'Primary Menu Alignment', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_menu',
	'type'				=> 'radio',
	'choices'			=> array(
		'center-aligned'	=> esc_html__( 'Center Align', 'tale-travel-pro' ),
		'left-aligned'		=> esc_html__( 'Left Align', 'tale-travel-pro' ),
		),
) );